AM261x MCU+ SDK: CpswStats_HostPort_Ng Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CpswStats_HostPort_Ng Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Statistics » CPSW Statistics

## Detailed Description

CPSW 5G or 9G host port statistics.

Statistics values reported by the CPSW hardware for the host port.

## Data Fields
uint64_t | rxGoodFrames
uint64_t | rxBcastFrames
uint64_t | rxMcastFrames
uint64_t | reserved4
uint64_t | rxCrcErrors
uint64_t | reserved6
uint64_t | rxOversizedFrames
uint64_t | reserved8
uint64_t | rxUndersizedFrames
uint64_t | reserved10
uint64_t | aleDrop
uint64_t | aleOverrunDrop
uint64_t | rxOctets
uint64_t | txGoodFrames
uint64_t | txBcastFrames
uint64_t | txMcastFrames
uint64_t | reserved17to19 [3]
uint64_t | txSofOverrun
uint64_t | txMofOverrun
uint64_t | reserved22to25 [4U]
uint64_t | txOctets
uint64_t | octetsFrames64
uint64_t | octetsFrames65to127
uint64_t | octetsFrames128to255
uint64_t | octetsFrames256to511
uint64_t | octetsFrames512to1023
uint64_t | octetsFrames1024
uint64_t | netOctets
uint64_t | rxBottomOfFifoDrop
uint64_t | portMaskDrop
uint64_t | rxTopOfFifoDrop
uint64_t | aleRateLimitDrop
uint64_t | aleVidIngressDrop
uint64_t | aleDAEqSADrop
uint64_t | aleBlockDrop
uint64_t | aleSecureDrop
uint64_t | aleAuthDrop
uint64_t | aleUnknownUcast
uint64_t | aleUnknownUcastBcnt
uint64_t | aleUnknownMcast
uint64_t | aleUnknownMcastBcnt
uint64_t | aleUnknownBcast
uint64_t | aleUnknownBcastBcnt
uint64_t | alePolicyMatch
uint64_t | alePolicyMatchRed
uint64_t | alePolicyMatchYellow
uint64_t | aleMultSADrop
uint64_t | aleDualVlanDrop
uint64_t | aleLenErrorDrop
uint64_t | aleIpNextHdrDrop
uint64_t | aleIPv4FragDrop
uint64_t | reserved57to95 [39U]
uint64_t | txMemProtectError
uint64_t | txPri [8U]
uint64_t | txPriBcnt [8U]
uint64_t | txPriDrop [8U]
uint64_t | txPriDropBcnt [8U]

## Field Documentation

## ◆ rxGoodFrames

uint64_t CpswStats_HostPort_Ng::rxGoodFrames

Total number of good frames received

## ◆ rxBcastFrames

uint64_t CpswStats_HostPort_Ng::rxBcastFrames

Total number of good multicast frames received

## ◆ rxMcastFrames

uint64_t CpswStats_HostPort_Ng::rxMcastFrames

Total number of good multicast frames received

## ◆ reserved4

uint64_t CpswStats_HostPort_Ng::reserved4

Reserved

## ◆ rxCrcErrors

uint64_t CpswStats_HostPort_Ng::rxCrcErrors

Total number of CRC error frames received

## ◆ reserved6

uint64_t CpswStats_HostPort_Ng::reserved6

Reserved

## ◆ rxOversizedFrames

uint64_t CpswStats_HostPort_Ng::rxOversizedFrames

Total number of oversized frames received

## ◆ reserved8

uint64_t CpswStats_HostPort_Ng::reserved8

Reserved

## ◆ rxUndersizedFrames

uint64_t CpswStats_HostPort_Ng::rxUndersizedFrames

Total number of undersized frames received

## ◆ reserved10

uint64_t CpswStats_HostPort_Ng::reserved10

Total number of fragmented frames received

## ◆ aleDrop

uint64_t CpswStats_HostPort_Ng::aleDrop

Total number of frames dropped by the ALE

## ◆ aleOverrunDrop

uint64_t CpswStats_HostPort_Ng::aleOverrunDrop

Total number of overrun frames dropped by the ALE

## ◆ rxOctets

uint64_t CpswStats_HostPort_Ng::rxOctets

Total number of received bytes in good frames

## ◆ txGoodFrames

uint64_t CpswStats_HostPort_Ng::txGoodFrames

Total number of good frames transmitted

## ◆ txBcastFrames

uint64_t CpswStats_HostPort_Ng::txBcastFrames

Total number of good broadcast frames transmitted

## ◆ txMcastFrames

uint64_t CpswStats_HostPort_Ng::txMcastFrames

Total number of good multicast frames transmitted

## ◆ reserved17to19

uint64_t CpswStats_HostPort_Ng::reserved17to19[3]

Reserved

## ◆ txSofOverrun

uint64_t CpswStats_HostPort_Ng::txSofOverrun

Tx Start of Frame Overrun

## ◆ txMofOverrun

uint64_t CpswStats_HostPort_Ng::txMofOverrun

Tx Middle of Frame Overrun

## ◆ reserved22to25

uint64_t CpswStats_HostPort_Ng::reserved22to25[4U]

Reserved

## ◆ txOctets

uint64_t CpswStats_HostPort_Ng::txOctets

Total number of bytes in all good frames transmitted

## ◆ octetsFrames64

uint64_t CpswStats_HostPort_Ng::octetsFrames64

Total number of 64-byte frames received and transmitted

## ◆ octetsFrames65to127

uint64_t CpswStats_HostPort_Ng::octetsFrames65to127

Total number of frames of size 65 to 127 bytes received and transmitted

## ◆ octetsFrames128to255

uint64_t CpswStats_HostPort_Ng::octetsFrames128to255

Total number of frames of size 128 to 255 bytes received and transmitted

## ◆ octetsFrames256to511

uint64_t CpswStats_HostPort_Ng::octetsFrames256to511

Total number of frames of size 256 to 511 bytes received and transmitted

## ◆ octetsFrames512to1023

uint64_t CpswStats_HostPort_Ng::octetsFrames512to1023

Total number of frames of size 512 to 1023 bytes received and transmitted

## ◆ octetsFrames1024

uint64_t CpswStats_HostPort_Ng::octetsFrames1024

Total number of frames of size 1024 or greater transmitted

## ◆ netOctets

uint64_t CpswStats_HostPort_Ng::netOctets

Total number of bytes received and transmitted

## ◆ rxBottomOfFifoDrop

uint64_t CpswStats_HostPort_Ng::rxBottomOfFifoDrop

Receive bottom of FIFO drop

## ◆ portMaskDrop

uint64_t CpswStats_HostPort_Ng::portMaskDrop

Total number of dropped frames received due to portmask

## ◆ rxTopOfFifoDrop

uint64_t CpswStats_HostPort_Ng::rxTopOfFifoDrop

Receive top of FIFO drop

## ◆ aleRateLimitDrop

uint64_t CpswStats_HostPort_Ng::aleRateLimitDrop

Total number of frames dropped due to ALE rate limiting

## ◆ aleVidIngressDrop

uint64_t CpswStats_HostPort_Ng::aleVidIngressDrop

Total number of dropped frames due to ALE VID ingress

## ◆ aleDAEqSADrop

uint64_t CpswStats_HostPort_Ng::aleDAEqSADrop

Total number of dropped frames due to DA = SA

## ◆ aleBlockDrop

uint64_t CpswStats_HostPort_Ng::aleBlockDrop

Total number of dropped frames due to ALE block mode

## ◆ aleSecureDrop

uint64_t CpswStats_HostPort_Ng::aleSecureDrop

Total number of dropped frames due to ALE secure mode

## ◆ aleAuthDrop

uint64_t CpswStats_HostPort_Ng::aleAuthDrop

Total number of dropped frames due to ALE authentication

## ◆ aleUnknownUcast

uint64_t CpswStats_HostPort_Ng::aleUnknownUcast

ALE receive unknown unicast

## ◆ aleUnknownUcastBcnt

uint64_t CpswStats_HostPort_Ng::aleUnknownUcastBcnt

ALE receive unknown unicast bytecount

## ◆ aleUnknownMcast

uint64_t CpswStats_HostPort_Ng::aleUnknownMcast

ALE receive unknown multicast

## ◆ aleUnknownMcastBcnt

uint64_t CpswStats_HostPort_Ng::aleUnknownMcastBcnt

ALE receive unknown multicast bytecount

## ◆ aleUnknownBcast

uint64_t CpswStats_HostPort_Ng::aleUnknownBcast

ALE receive unknown broadcast

## ◆ aleUnknownBcastBcnt

uint64_t CpswStats_HostPort_Ng::aleUnknownBcastBcnt

ALE receive unknown broadcast bytecount

## ◆ alePolicyMatch

uint64_t CpswStats_HostPort_Ng::alePolicyMatch

ALE policer matched

## ◆ alePolicyMatchRed

uint64_t CpswStats_HostPort_Ng::alePolicyMatchRed

ALE policer matched and condition red

## ◆ alePolicyMatchYellow

uint64_t CpswStats_HostPort_Ng::alePolicyMatchYellow

ALE policer matched and condition yellow

## ◆ aleMultSADrop

uint64_t CpswStats_HostPort_Ng::aleMultSADrop

ALE multicast source address drop

## ◆ aleDualVlanDrop

uint64_t CpswStats_HostPort_Ng::aleDualVlanDrop

ALE dual VLAN drop

## ◆ aleLenErrorDrop

uint64_t CpswStats_HostPort_Ng::aleLenErrorDrop

ALE IEEE 802.3 length error drop

## ◆ aleIpNextHdrDrop

uint64_t CpswStats_HostPort_Ng::aleIpNextHdrDrop

ALE IP next header limit drop

## ◆ aleIPv4FragDrop

uint64_t CpswStats_HostPort_Ng::aleIPv4FragDrop

ALE IPv4 fragment drop

## ◆ reserved57to95

uint64_t CpswStats_HostPort_Ng::reserved57to95[39U]

Reserved

## ◆ txMemProtectError

uint64_t CpswStats_HostPort_Ng::txMemProtectError

Transmit memory protect CRC error

## ◆ txPri

uint64_t CpswStats_HostPort_Ng::txPri[8U]

Host port priority packet count

## ◆ txPriBcnt

uint64_t CpswStats_HostPort_Ng::txPriBcnt[8U]

Host port priority packet byet count

## ◆ txPriDrop

uint64_t CpswStats_HostPort_Ng::txPriDrop[8U]

Host port priority packet drop count

## ◆ txPriDropBcnt

uint64_t CpswStats_HostPort_Ng::txPriDropBcnt[8U]

Host port priority packet drop byte count